Subject: [AVT] RFC3558 header-free packet format question

From: Qiaobing Xie <[email-masked]>
Date: Fri, 17 Sep 2004 11:50:54 +0800

Hi, Adam,

The text in section 4.2 of RFC3558 **seems** to indicate that only ONE speech frame is 
allowed per RTP packet when header-free format is used. This seems to be overly limiting and 
may severely hinder the usage of this payload format (e.g., I don't think any over-the-air 
link can afford to use one frame per RTP packet arrangement, and if over-the-air link can 
not use header-free format, what would be its purpose?). One would think that as long as the 
same codec rate (hence the layout and size) is in use, more than one frame should be able to 
be unambiguously carried in a header-free RTP packet.

Maybe I missed something.

regards,
-Qiaobing

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Magnus Westerlund <[email-masked]>
Date: Fri, 17 Sep 2004 08:34:29 +0200

Hi Qiaobing,

As I understand it from when the format was developed: The header-free 
format exist to enable ROHC-LLA to be used and the resulting IP stream 
to be mapped onto a CDMA2000 bearer that only have room for the voice 
frames. As this configuration does not have any space for any extra 
payload headers the header free format was developed.

Cheers

Magnus

Qiaobing Xie wrote:

> Hi, Adam,
> 
> The text in section 4.2 of RFC3558 **seems** to indicate that only ONE 
> speech frame is allowed per RTP packet when header-free format is used. 
> This seems to be overly limiting and may severely hinder the usage of 
> this payload format (e.g., I don't think any over-the-air link can 
> afford to use one frame per RTP packet arrangement, and if over-the-air 
> link can not use header-free format, what would be its purpose?). One 
> would think that as long as the same codec rate (hence the layout and 
> size) is in use, more than one frame should be able to be unambiguously 
> carried in a header-free RTP packet.
> 

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]